%define module	IPC-Run3
%define name	perl-%{module}
%define version 0.01
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RB/RBS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root


%description
IPC::Run3 allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed. 

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided. 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test
perl -pi -e 's#/usr/local/bin/#%{_bindir}/#' bin/run3profpp

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp bin/* $RPM_BUILD_ROOT/%{_bindir}/
chmod 0755 $RPM_BUILD_ROOT/%{_bindir}/*
%files
%defattr(-,root,root)
%doc CHANGES
%{perl_vendorlib}/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.01-2mdk
- rebuild for new perl

* Tue Aug 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.01-1mdk
- 0.01

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.009-1mdk
- New release 0.009

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-3mdk 
- really fix Requires 

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-2mdk 
- fix Requires

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-1mdk
- first release, based on perl-IPC-Run 
